Udgivelsesbemærkning / Piwigo 2.9.1

bug fixes (including security)

2.9.1
Hent Piwigo 2.9.1

Udgivet den 15 Juni 2017

md5sum

Listen over større ændringer er beskrevet udgivelsesbemærkningerne til Piwigo 2.9.0

Fejl rettet

Kendte problemer

Sprog

Funktion tilføjet

Opgrader

Fejl rettet

707 / Visning

antal visninger, skjul decimaler hvis mindre end 1k

706 / Security

[sikkerhed] identifikation bør kun viderestille indenfor Piwigo

705 / Security

brugerlistebackend, tjek inputparameter

701 / Tools

Albumsynkroniseringslinket peger på synkroniseringssiden ./galleries/ selv hvis albummet er placeret i en anden mappe

699 / Security

Filmedtagelse i administration

696 / web API

PIWIGO-API - pwg.categories.delete fungerer ikke korrekt.

693 / Technical

Batch downloader fejler ved brug af pclzip og php 7.1

685 / Photos

batch manager, slet fotografier virker ikke med Safari

683 / Visning

diskforbrug, skjul decimaler ved mere end 100GB

679 / Technical

admininstrumentbræt, trigger er nødvendig til plugins

674 / Technical

[php7.1] brugerredigeringsboks, []-operator er ikke understøttet ved strenge

667 / Security

Fejlrapport: Cross Site Scripting(XSS) i pageparameter i admin.php

663 / Technical

SQL-fejl i udflugt 2.9

Kendte problemer

710 / Security

inputparameter "redirect_decoded" er ikke gyldigt

Sprog

Opdaterede sprog

Catalansk (Català)

Britisk engelsk (British English)

Esperanto

Baskisk (Euskara)

Finsk (suomi)

Fransk canadisk (Québecois)

Ungarsk (Magyar)

Khmer (ភាសាខ្មែរ)

Portugisisk (Português)

Romænsk (Română)

Slovakisk (Slovensky)

Slovensk (Slovenščina)

Serbisk (Српски)

Svensk (Svenska)

Vietnamesisk (Tiếng Việt)

Kinesisk (简体中文)

Hongkong (中文香港)

Opgrader

Vi anbefaler den automatiske opgradering. Hvis du benytter version 2.2+, vil Piwigo før opgraderingen fortælle dig hvilke plugins, som måske ikke er kompatible med Piwigo 2.9.

Hvis du benytter Piwigo 2.9.0, kan du også hente arkivet 2.9.0_to_2.9.1.zip, som indeholder alle nye og ændrede filer. Når du har udpakket filerne, skal de overføres til din webserver med en FTP-klient, oven i din Piwigo 2.9.0-installation. Ingen databaseopgradering påkrævet.

Hvis du benytter en version ældre end 2.9, og du ikke ønsker at anvende den automatiske opgradering, så følg den manuelle opgradering.